# Maintainer: Antoni Aloy <aaloytorrens@gmail.com>

# From https://mpr.makedeb.org/packages/discord:
# Maintainer: Erwan BOTHUAN NIEL <dev dot erwanbo at caramail dot fr>
# Contributor: hiddeninthesand <hiddeninthesand at pm dot me>
# Contributor: zocker_160 <zocker1600 at posteo dot net>
# Contributor: Hunter Wittenborn <hunter@hunterwittenborn.com>

pkgname='discord'
pkgver='0.0.44'
pkgrel='0'
pkgdesc="Chat for Communities and Friends"
arch=('x86_64' 'amd64')
_base_depends=('libc6' 'libasound2' 'libatomic1' 'libnotify4' 'libnspr4' 'libnss3' 'libstdc++6' 'libxss1' 'libxtst6')
depends=("${_base_depends[@]}" 'libappindicator1')
bullseye_depends=("${_base_depends[@]}" 'libayatana-appindicator1')
url="https://discord.com"
license=('custom')
source=("${pkgname}::https://dl.discordapp.net/apps/linux/${pkgver}/discord-${pkgver}.deb")
sha256sums=('8097341eabc2fc8773ec8008025e94132da84635a3dd2f6938d3e8a71e865c7c9365d5087bdb7a96132d281dc588b3aee6653dcc5319cb738e46522348068b00')

package() {
	tar -xf 'data.tar.gz' -C "${pkgdir}"
	mkdir -p "${pkgdir}/DEBIAN"
	tar -xf 'control.tar.gz' -C "${pkgdir}/DEBIAN"
	rm "${pkgdir}/DEBIAN/control"
}
